#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Clipboard history plugin for the Xfce panel
Name:		xfce4-clipman-plugin
Version:	1.2.6
Release:	%mkrel 7
License:	BSD
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-clipman-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-clipman-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:		xfce4-clipman-plugin-1.2.6-Mageia-bug-action.patch
Patch1:		xfce4-clipman-plugin-1.2.6-replace-deprecated-GTK_STOCK-icons.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(exo-1) >= 0.6.0
BuildRequires:	pkgconfig(libxfce4ui-1) >= 4.8.0
BuildRequires:	pkgconfig(libxfce4panel-1.0) >= 4.8.0
BuildRequires:	pkgconfig(xtst) >= 1.0.0
BuildRequires:	pkgconfig(unique-1.0) >= 1.0.0
BuildRequires:	pkgconfig(libqrencode) >= 3.3.0
Requires:	xfce4-panel >= 4.4.2

%description
Clipboard history panel plugin for the Xfce Desktop Environment.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-static \
	--enable-unique
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc README ChangeLog COPYING AUTHORS
%{_sysconfdir}/xdg/autostart/xfce4-clipman-plugin-autostart.desktop
%{_sysconfdir}/xdg/xfce4/panel/xfce4-clipman-actions.xml
%{_bindir}/xfce4-*
%{_libdir}/xfce4/panel/plugins/libclipman.so
%{_datadir}/xfce4/panel/plugins/%{name}.desktop
%{_datadir}/applications/xfce4-clipman.desktop
%{_datadir}/appdata/xfce4-clipman.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.*


%changelog
* Fri Feb 12 2016 wally <wally> 1.2.6-7.mga6
+ Revision: 958785
- add patch to replace deprecated GTK_STOCK_* icons with named ones

* Tue Feb 09 2016 umeabot <umeabot> 1.2.6-6.mga6
+ Revision: 952515
- Mageia 6 Mass Rebuild

* Tue Mar 03 2015 wally <wally> 1.2.6-5.mga5
+ Revision: 817433
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 1.2.6-4.mga5
+ Revision: 747823
- Second Mageia 5 Mass Rebuild

* Sat Sep 20 2014 umeabot <umeabot> 1.2.6-3.mga5
+ Revision: 697490
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 wally <wally> 1.2.6-2.mga5
+ Revision: 630323
- add actions support for Mageia bugzilla

* Sat May 31 2014 wally <wally> 1.2.6-1.mga5
+ Revision: 629425
- new version 1.2.6

* Thu Feb 06 2014 wally <wally> 1.2.5-1.mga5
+ Revision: 584493
- new version 1.2.5

* Tue Feb 04 2014 wally <wally> 1.2.4-1.mga5
+ Revision: 581068
- new version 1.2.4
- enable qrcode support

* Fri Oct 18 2013 umeabot <umeabot> 1.2.3-3.mga4
+ Revision: 520587
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.3-2.mga3
+ Revision: 386793
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 wally <wally> 1.2.3-1.mga3
+ Revision: 248578
- new version 1.2.3
- clean .spec

* Thu Nov 17 2011 wally <wally> 1.2.2-1.mga2
+ Revision: 168501
- clean BRs and use pkgconfig style if possible
- enable unique support
- drop .la files
- clean/fix file list
- new version 1.2.2
- drop unneeded patches

* Sun Jul 10 2011 ahmad <ahmad> 1.1.3-3.mga2
+ Revision: 121839
- Drop old/unneeded scriptlets
- Add BR libxfconf-devel
- Add a patch to fix the build with new exo
- imported package xfce4-clipman-plugin

